# TAO_Internal.h File Reference

`#include "tao/orbconf.h"`
`#include "tao/Versioned_Namespace.h"`

Include dependency graph for TAO_Internal.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO
namespace | ORB
namespace | TAO::ORB

## Functions

int | open_services (int &argc, ACE_TCHAR **argv)
int | close_services (void)
void | default_svc_conf_entries (char const *rf_args, char const *ssf_args, char const *csf_args)

## Detailed Description

Id
  TAO_Internal.h,v 1.22 2005/11/24 11:05:46 ossama Exp

Structures and methods completely internal to TAO.

Author:
  Chris Cleeland

## Function Documentation

int TAO::ORB::close_services | ( | void |  | ) |

The complement to `open_services()`, this will perform appropriate ACE Service Configurator closure operations. It should be called as many times as `open_services()`, and will only actually close things down on the last call. It is fully thread-safe.

Returns:
  `0` if successful, `-1` with `errno` set if failure.

void TAO::ORB::default_svc_conf_entries | ( | char const * | rf_args,
|  | char const * | ssf_args,
|  | char const * | csf_args
| ) |

| Set default ``svc`.conf' content. This call has no effect if This function must be called before first ORB initialization.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL int TAO::ORB::open_services | ( | int & | argc,
|  | ACE_TCHAR ** | argv
| ) |

Note:
  This method should be called before the ORB Core is initialized, and before any ORBInitializers are invoked.